#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-backgrounds
Version		:	1.28.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Background images and data for MATE.
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	intltool
BuildRequires	:	mate-common

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This module contains a set of backgrounds packaged with the MATE desktop.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/backgrounds/%{shortname}/*/*.{jpg,png}
%{_datadir}/%{shortname}-background-properties/%{shortname}-*.xml

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
